[postgis-tickets] [SCM] PostGIS branch master updated. 3.3.0rc2-662-g34b58d2bf
git at osgeo.org
git at osgeo.org
Tue Feb 21 17:05:35 PST 2023
This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "PostGIS".
The branch, master has been updated
via 34b58d2bf4c4d8aaeb482a68942b5fcad8ea260b (commit)
via 017ea53a6394bdfee1e20c3ed98755c922a4f991 (commit)
from 3d41b08dc006e9b838da9d449b40ee9af74b2ce6 (commit)
Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.
- Log -----------------------------------------------------------------
commit 34b58d2bf4c4d8aaeb482a68942b5fcad8ea260b
Author: Sandro Santilli <strk at kbt.io>
Date: Wed Feb 22 02:05:35 2023 +0100
Hint about installing missing upgrade scripts
diff --git a/utils/check_all_upgrades.sh b/utils/check_all_upgrades.sh
index c16436546..9c3779bf7 100755
--- a/utils/check_all_upgrades.sh
+++ b/utils/check_all_upgrades.sh
@@ -33,10 +33,11 @@ fi
mkdir -p ${TMPDIR}
cleanup()
{
+ echo "Cleaning up"
rm -rf ${TMPDIR}
}
-trap 'cleanup' 0
+trap 'cleanup' EXIT
# Return -1, 1 or 0 if the first version
@@ -71,7 +72,7 @@ semver_compare()
failed()
{
failures=$((failures+1))
- if test $EXIT_ON_FIRST_FAILURE != 0 -a $failures != 0; then
+ if test $EXIT_ON_FIRST_FAILURE != 0; then
exit $failures
fi
}
@@ -129,10 +130,22 @@ compatible_upgrade()
return 0
}
+report_missing_versions()
+{
+ if test -n "${MISSING_EXT_UPGRADES}"; then
+ echo "INFO: missing upgrade scripts: ${MISSING_EXT_UPGRADES}"
+ echo "HINT: use 'postgis install-extension-upgrades' to install them"
+ fi
+ cleanup
+}
+
+
to_version_param="$1"
to_version=$to_version_param
if expr $to_version : ':auto' >/dev/null; then
to_version=`psql -XAtc "select default_version from pg_available_extensions where name = 'postgis'"` || exit 1
+ MISSING_EXT_UPGRADES=
+ trap report_missing_versions EXIT
elif expr $to_version : '.*!$' >/dev/null; then
to_version=$(echo "${to_version}" | sed 's/\!$//')
fi
@@ -188,6 +201,7 @@ for EXT in ${INSTALLED_EXTENSIONS}; do
" ) || exit 1
if test -z "${path}"; then
echo "SKIP: ${test_label} (no upgrade path from ${from_version} to ${to_version} known by postgresql)"
+ MISSING_EXT_UPGRADES="${from_version} ${MISSING_EXT_UPGRADES}"
continue
fi
echo "Testing ${test_label}"
commit 017ea53a6394bdfee1e20c3ed98755c922a4f991
Author: Sandro Santilli <strk at kbt.io>
Date: Wed Feb 22 02:01:14 2023 +0100
Fix bogus install of extension upgrade paths at the wrong time
diff --git a/GNUmakefile.in b/GNUmakefile.in
index 17d43cc60..93954d75b 100644
--- a/GNUmakefile.in
+++ b/GNUmakefile.in
@@ -31,7 +31,9 @@ all install uninstall noop clean distclean check-unit:
fi
ifneq (@EXTENSIONS@,)
ifeq (@INSTALL_EXTENSION_UPGRADES@, yes)
- $(MAKE) install-extension-upgrades-from-known-versions
+ @if test x"$@" = xinstall; then \
+ $(MAKE) install-extension-upgrades-from-known-versions; \
+ fi
else
@if test x"$@" = xinstall; then \
echo; \
-----------------------------------------------------------------------
Summary of changes:
GNUmakefile.in | 4 +++-
utils/check_all_upgrades.sh | 18 ++++++++++++++++--
2 files changed, 19 insertions(+), 3 deletions(-)
hooks/post-receive
--
PostGIS
More information about the postgis-tickets
mailing list